Overview | Package | Class | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.exist.util
Class XMLReaderPool

    java.lang.Object
      org.apache.commons.pool.BaseObjectPool
          org.apache.commons.pool.impl.StackObjectPool
              org.exist.util.XMLReaderPool

All Implemented Interfaces:
  org.apache.commons.pool.ObjectPool

public class XMLReaderPool
extends org.apache.commons.pool.impl.StackObjectPool

Maintains a pool of XMLReader objects. The pool is available through `BrokerPool.getParserPool()`.

Author:
  wolf

Constructor Summary
`XMLReaderPool(org.apache.commons.pool.PoolableObjectFactory factory, int maxIdle, int initIdleCapacity)`

Method Summary
`org.xml.sax.XMLReader` | `borrowXMLReader()`
`void` | `returnXMLReader(org.xml.sax.XMLReader reader)`

Methods inherited from class org.apache.commons.pool.impl.StackObjectPool
`addObject, borrowObject, clear, close, getNumActive, getNumIdle, invalidateObject, returnObject, setFactory`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XMLReaderPool

    public XMLReaderPool(org.apache.commons.pool.PoolableObjectFactory factory,
                         int maxIdle,
                         int initIdleCapacity)

Parameters:
  `factory` -
  `maxIdle` -
  `initIdleCapacity` -

Method Detail

### borrowXMLReader

    public org.xml.sax.XMLReader borrowXMLReader()

### returnXMLReader

    public void returnXMLReader(org.xml.sax.XMLReader reader)

Overview | Package | Class | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) Wolfgang Meier. All rights reserved.